%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_with check
%global debug_package %{nil}

%global crate cxxbridge-macro

Name:           rust-cxxbridge-macro
Version:        1.0.123
Release:    2%{?dist}
Summary:        Implementation detail of the cxx crate

License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/cxxbridge-macro
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Implementation detail of the `cxx` crate.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+clang-ast-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+clang-ast-devel %{_description}

This package contains library source intended for building other packages which
use the "clang-ast" feature of the "%{crate}" crate.

%files       -n %{name}+clang-ast-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-async-fn-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-async-fn-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-async-fn" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-async-fn-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-enum-variants-from-header-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-enum-variants-from-header-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental-enum-variants-from-header" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-enum-variants-from-header-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+flate2-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+flate2-devel %{_description}

This package contains library source intended for building other packages which
use the "flate2" feature of the "%{crate}" crate.

%files       -n %{name}+flate2-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+memmap-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+memmap-devel %{_description}

This package contains library source intended for building other packages which
use the "memmap" feature of the "%{crate}" crate.

%files       -n %{name}+memmap-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde-devel %{_description}

This package contains library source intended for building other packages which
use the "serde" feature of the "%{crate}" crate.

%files       -n %{name}+serde-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_derive" feature of the "%{crate}" crate.

%files       -n %{name}+serde_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+serde_json-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+serde_json-devel %{_description}

This package contains library source intended for building other packages which
use the "serde_json" feature of the "%{crate}" crate.

%files       -n %{name}+serde_json-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Thu Jun 12 2025 bbrucezhang <bbrucezhang@tencent.com> - 1.0.123-2
- Rebuilt for loongarch64

* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.0.123-1
- initial build
